JoinImplementor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Interface JoinImplementor<Z,X>

All Superinterfaces:
  Expression<X>, ExpressionImplementor<X>, Fetch<Z,X>, FetchParent<Z,X>, From<Z,X>, FromImplementor<Z,X>, Join<Z,X>, Path<X>, PathImplementor<X>, PathSource<X>, Renderable, Selection<X>, SelectionImplementor<X>, TupleElement<X>, TupleElementImplementor<X>

All Known Subinterfaces:
  CollectionJoinImplementor<Z,X>, ListJoinImplementor<Z,X>, MapJoinImplementor<Z,K,V>, SetJoinImplementor<Z,X>

All Known Implementing Classes:
  AbstractJoinImpl, CollectionAttributeJoin, ListAttributeJoin, MapAttributeJoin, PluralAttributeJoinSupport, SetAttributeJoin, SingularAttributeJoin

    public interface JoinImplementor<Z,X>

extends Join<Z,X>, Fetch<Z,X>, FromImplementor<Z,X>

Consolidates the `Join` and `Fetch` hierarchies since that is how we implement them. This allows us to treat them polymorphically.

Method Summary
`JoinImplementor<Z,X>` | `correlateTo(CriteriaSubqueryImpl subquery)` Refined return type

Methods inherited from interface javax.persistence.criteria.Join
`getAttribute, getJoinType, getParent`

Methods inherited from interface javax.persistence.criteria.Fetch
`getAttribute, getJoinType, getParent`

Methods inherited from interface org.hibernate.ejb.criteria.FromImplementor
`getCorrelationParent, prepareAlias, prepareCorrelationDelegate, renderTableExpression`

Methods inherited from interface org.hibernate.ejb.criteria.PathImplementor
`getAttribute`

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.PathSource
`getPathIdentifier`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getModel, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.From
`getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Method Detail

### correlateTo

    JoinImplementor<Z,X> correlateTo(CriteriaSubqueryImpl subquery)

  Refined return type

  Specified by:
    `correlateTo` in interface `FromImplementor<Z,X>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.